Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.flume.appender
Class Log4jEventSource

    java.lang.Object
      org.apache.flume.source.AbstractSource
          org.apache.logging.log4j.flume.appender.Log4jEventSource

All Implemented Interfaces:
  org.apache.flume.EventDrivenSource, org.apache.flume.lifecycle.LifecycleAware, org.apache.flume.NamedComponent, org.apache.flume.Source

    public class Log4jEventSource

extends org.apache.flume.source.AbstractSource
implements org.apache.flume.EventDrivenSource

Constructor Summary
`Log4jEventSource()`

Method Summary
`void` | `send(org.apache.flume.Event event)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.apache.flume.source.AbstractSource
`getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.flume.Source
`getChannelProcessor, setChannelProcessor`

Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware
`getLifecycleState`

Methods inherited from interface org.apache.flume.NamedComponent
`getName, setName`

Constructor Detail

### Log4jEventSource

    public Log4jEventSource()

Method Detail

### start

    public void start()

  Specified by:
    `start` in interface `org.apache.flume.lifecycle.LifecycleAware`
  Overrides:
    `start` in class `org.apache.flume.source.AbstractSource`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.apache.flume.lifecycle.LifecycleAware`
  Overrides:
    `stop` in class `org.apache.flume.source.AbstractSource`

### send

    public void send(org.apache.flume.Event event)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.